SpriteLibrary

SpriteController Fields

The SpriteController type exposes the following members.

Fields

| Name | Description
--- | --- | ---

OptimizeForLargeSpriteImages

If your sprite images need substantial growing or shrinking when displayed, you can try setting this to "true" to see if it makes it run any faster. What it does is to resize the image once, and keep a cached copy of that image at that size. If you use the same sprite, but with different sizes, setting this to "True" may actually slow down the game instead of speeding it up.

| RandomNumberGenerator | Since everything needs a random number generator, we make one that should be accessible throughout your program.
| SpriteComparisonDelegate | Allow the sprite sort-method to be overridden.

Top
See Also

#### Reference

SpriteController Class
SpriteLibrary Namespace